
import java.awt.Color;
import java.awt.Paint;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;


public class GraphicsImage {

	Sailboat boat = new Sailboat();

	public void createImage(String filename,int w,int h) 
	{
		BufferedImage img = new BufferedImage(w, h,
                    BufferedImage.TYPE_INT_RGB);
		Graphics2D g2 = img.createGraphics();
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
		// fill background
		Color bg = new Color(238,238,238);
		g2.setPaint(bg);
		g2.fillRect(0,0,w,h);

		// generate user image
		boat.draw(g2);

		// write to file
		String format = "jpg";
		File file = new File(filename + "." + format);
		try {
			ImageIO.write(img, format, file);
		} catch (IOException e) {
			System.out.println("image write failed");
			//e.printStackTrace();
		}
	}



	public static void main(String[] args) {
		String name = "test";
		if (args.length>0) name = (args[0]);
		GraphicsImage proj = new GraphicsImage();
		proj.createImage(name,200,200);
	}

}